### Constructor

# Vips Source new_from_options

#### Declaration [src]

    VipsSource*
    vips_source_new_from_options (
      const char* options
    )

#### Description [src]

Create a source from an option string.

#### Parameters

`options`

  Type: `const char*`

  Option string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VipsSource`

A new source.

The caller of the function takes ownership of the data, and is responsible for freeing it.